## org.eclipse.jet.xpath
Interface XPath

    public interface XPath

Interface to an XPath processor.

Note: Once JET moves to Java 1.5 or later only, this interface will be migrated to javax.xml.xpath.XPath

Method Summary
`XPathExpression` `compile(java.lang.String expression)`
`NamespaceContext` `getNamespaceContext()`
`XPathFunctionResolver` `getXPathFunctionResolver()`
`XPathVariableResolver` `getXPathVariableResolver()`
`void` `setNamespaceContext(NamespaceContext nsContext)`
`void` `setXPathFunctionResolver(XPathFunctionResolver resolver)`
`void` `setXPathVariableResolver(XPathVariableResolver resolver)`

Method Detail

### setXPathFunctionResolver

    void setXPathFunctionResolver(XPathFunctionResolver resolver)

### getXPathFunctionResolver

    XPathFunctionResolver getXPathFunctionResolver()

### setXPathVariableResolver

    void setXPathVariableResolver(XPathVariableResolver resolver)

### getXPathVariableResolver

    XPathVariableResolver getXPathVariableResolver()

### compile

    XPathExpression compile(java.lang.String expression)
                            throws XPathException

  Throws:
    `XPathException`

### setNamespaceContext

    void setNamespaceContext(NamespaceContext nsContext)

### getNamespaceContext

    NamespaceContext getNamespaceContext()

Copyright 2006 IBM Corporation and others. All Rights Reserved.